Package org.apache.felix.main

# Class AutoProcessor

java.lang.Object
org.apache.felix.main.AutoProcessor

public class AutoProcessor extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTO_DEPLOY_ACTION_PROPERTY`
The property name used to specify auto-deploy actions.
`static final String`
`AUTO_DEPLOY_ACTION_PROPERY`
Deprecated.
use `AUTO_DEPLOY_ACTION_PROPERTY`
`static final String`
`AUTO_DEPLOY_DIR_PROPERTY`
The property name used for the bundle directory.
`static final String`
`AUTO_DEPLOY_DIR_PROPERY`
Deprecated.
use `AUTO_DEPLOY_DIR_PROPERTY`
`static final String`
`AUTO_DEPLOY_DIR_VALUE`
The default name used for the bundle directory.
`static final String`
`AUTO_DEPLOY_INSTALL_VALUE`
The name used for the auto-deploy install action.
`static final String`
`AUTO_DEPLOY_START_VALUE`
The name used for the auto-deploy start action.
`static final String`
`AUTO_DEPLOY_STARTLEVEL_PROPERTY`
The property name used to specify auto-deploy start level.
`static final String`
`AUTO_DEPLOY_STARTLEVEL_PROPERY`
Deprecated.
use `AUTO_DEPLOY_STARTLEVEL_PROPERTY`
`static final String`
`AUTO_DEPLOY_UNINSTALL_VALUE`
The name used for the auto-deploy uninstall action.
`static final String`
`AUTO_DEPLOY_UPDATE_VALUE`
The name used for the auto-deploy update action.
`static final String`
`AUTO_INSTALL_PROP`
The property name prefix for the launcher's auto-install property.
`static final String`
`AUTO_START_PROP`
The property name prefix for the launcher's auto-start property.

## Constructor Summary

Constructors
Constructor
Description
`AutoProcessor()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`process(Map configMap, org.osgi.framework.BundleContext context)`
Used to instigate auto-deploy directory process and auto-install/auto-start configuration property processing during.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AUTO_DEPLOY_DIR_PROPERY

public static final String AUTO_DEPLOY_DIR_PROPERY
Deprecated.
use `AUTO_DEPLOY_DIR_PROPERTY`
The property name used for the bundle directory.

See Also:
  - Constant Field Values

### AUTO_DEPLOY_DIR_PROPERTY

public static final String AUTO_DEPLOY_DIR_PROPERTY
The property name used for the bundle directory.

See Also:
  - Constant Field Values

### AUTO_DEPLOY_DIR_VALUE

public static final String AUTO_DEPLOY_DIR_VALUE
The default name used for the bundle directory.

See Also:
  - Constant Field Values

### AUTO_DEPLOY_ACTION_PROPERY

public static final String AUTO_DEPLOY_ACTION_PROPERY
Deprecated.
use `AUTO_DEPLOY_ACTION_PROPERTY`
The property name used to specify auto-deploy actions.

See Also:
  - Constant Field Values

### AUTO_DEPLOY_ACTION_PROPERTY

public static final String AUTO_DEPLOY_ACTION_PROPERTY
The property name used to specify auto-deploy actions.

See Also:
  - Constant Field Values

### AUTO_DEPLOY_STARTLEVEL_PROPERY

public static final String AUTO_DEPLOY_STARTLEVEL_PROPERY
Deprecated.
use `AUTO_DEPLOY_STARTLEVEL_PROPERTY`
The property name used to specify auto-deploy start level.

See Also:
  - Constant Field Values

### AUTO_DEPLOY_STARTLEVEL_PROPERTY

public static final String AUTO_DEPLOY_STARTLEVEL_PROPERTY
The property name used to specify auto-deploy start level.

See Also:
  - Constant Field Values

### AUTO_DEPLOY_INSTALL_VALUE

public static final String AUTO_DEPLOY_INSTALL_VALUE
The name used for the auto-deploy install action.

See Also:
  - Constant Field Values

### AUTO_DEPLOY_START_VALUE

public static final String AUTO_DEPLOY_START_VALUE
The name used for the auto-deploy start action.

See Also:
  - Constant Field Values

### AUTO_DEPLOY_UPDATE_VALUE

public static final String AUTO_DEPLOY_UPDATE_VALUE
The name used for the auto-deploy update action.

See Also:
  - Constant Field Values

### AUTO_DEPLOY_UNINSTALL_VALUE

public static final String AUTO_DEPLOY_UNINSTALL_VALUE
The name used for the auto-deploy uninstall action.

See Also:
  - Constant Field Values

### AUTO_INSTALL_PROP

public static final String AUTO_INSTALL_PROP
The property name prefix for the launcher's auto-install property.

See Also:
  - Constant Field Values

### AUTO_START_PROP

public static final String AUTO_START_PROP
The property name prefix for the launcher's auto-start property.

See Also:
  - Constant Field Values

## Constructor Details

### AutoProcessor

public AutoProcessor()

## Method Details

### process

public static void process(Map configMap, org.osgi.framework.BundleContext context)
Used to instigate auto-deploy directory process and auto-install/auto-start configuration property processing during.

Parameters:
  `configMap` - Map of configuration properties.
  `context` - The system bundle context.